Firmware Atmosphère 0.8.8 released, now compatible with firmware 8.0.0

Discussion in 'GBAtemp & Scene News' started by RattletraPM, Apr 20, 2019.

  1. HeroKing

    HeroKing Advanced Member

    Newcomer
    4
    Aug 19, 2016
    United States
    i have no clue what's going on with mine, but something is amiss. i just updated to 0.8.8, it boots into atmosphere just fine, but it won't load homebrew launcher when i go to albums. i more or less just overwrote the old files, rather than deleting first, so do i need to delete a config file somewhere?
     
  2. DuveltjeDG

    DuveltjeDG GBAtemp Regular

    Member
    3
    Apr 5, 2019
    Netherlands
    What I did was the following...
    • Updated Atmosphere 0.8.8 which was booting fine with firmware 7.0.1 using Kosmos autoboot profile.
    • Updated to 8.0.0 switch firmware using ChoiDuJourNX
    I rebooted and got unknown PKG1 failed to load firmware.

    What I did next because nothing worked...
    • All files on my SD card were perfectly installed so that was not the issue
    • I copied the fusee-primary.bin to bootloader/payload folder
    • Started that payload from within hekate and it booted to 8.0.0 with custom firmware Atmosphere 0.8.8
    • Started ChoiDuJourNX to downgrade back to 7.0.1 and every worked perfect again through autoboot profile.
    What I understand is that Hekate 4.9.1 does not work with 8.0.0 and because of that u need to chainload the fusee-primary.bin. That's my version of how I got back to 7.0.1, took me an hour to figure that out. Now I wait for everything to get updated and will update again.
     
  3. Ziggle

    Ziggle Newbie

    Newcomer
    1
    Apr 20, 2019
    United States
    I made another thread on here about issues I had using Choiduijornx to update to 7.0.1. I didn't know that this version of Atmosphere just came out today. I think my problems may have come from this when I tried to switch out my ancient version to the new one.

    Right now I'm getting a version mismatch warning, but when I rebooted using the volume key it went into Atmosphere just fine (0.8.8). Would using the wrong fusee-primary cause this? I have one that's 87.1 kb that I used but now I have another that's 88.3 kb.
     
  4. DuveltjeDG

    DuveltjeDG GBAtemp Regular

    Member
    3
    Apr 5, 2019
    Netherlands
    I used the most recent fusee-primary that is below the new download of Atmosphere 0.8.8. But when you download the new Atmosphere 0.8.8 it will also be in the zip file. You should always use the most up to date version. That's what I did and it worked.

    Switching out old with new worked perfect up until 0.8.7 when on 7.0.1 firmware. But because of 8.0.0 Hekate also needs updating. Until then you need to chainload the newest fusee-primary.bin.
     
    Last edited by DuveltjeDG, Apr 21, 2019
    Kawaii likes this.
  5. Raikkonen94

    Raikkonen94 Advanced Member

    Newcomer
    5
    Sep 13, 2009
    Netherlands
    Nice. Won't update to FW 8.0 though, FW 7.0.1 is fine for now especially with a potential software exploit in the future.
     
  6. garco

    garco Member

    Newcomer
    5
    Jun 28, 2006
    Italy
    Thanks, then I use ChoiDuJourNX for the downgrade, but the procedure is the same? like an update? Do I have any particular options? Thanks
    I don't use Autorcm
     
    Last edited by garco, Apr 21, 2019
  7. wurstpistole

    wurstpistole I got 8 warning points

    Member
    12
    Nov 19, 2015
    Gambia, The
    Hbl isn't launched by going into album anymore, but by holding the override key while launching any app or game. I think it's R by default, you can change it in the config file
     
  8. pohaxsf

    pohaxsf GBAtemp Regular

    Member
    3
    Jan 7, 2019
    Greece
    press r while launching baby
     
  9. Wario

    Wario Member

    Newcomer
    1
    Mar 11, 2019
    United States
    So what's the best way to buy eShop games and not be stuck on 8.0 which removes the future use of deja vu? Buying a physical cart isn't an option because the games I want are download only.
     
  10. Skate0r

    Skate0r Newbie

    Newcomer
    1
    Mar 11, 2019
    Germany
    Hey guys. If im installing some games the switch ( tinfoil 1.55 ) - failed to import ticket ( after install nsp ) and i cant play/install games.

    Atmosphere 0.88 and Fw 8.0.0 and sigpatches :/ do you know whats the mistake?
     
  11. Manurocker95

    Manurocker95 Game Developer & Pokémon Master

    Member
    7
    May 29, 2016
    Spain
    Madrid
    I guess there are no sigpatches yet for 8.0.0
     
  12. Chocola

    Chocola GBAtemp Meowgular

    Member
    3
    Sep 18, 2018
    Korea, South
    Neko Paradise
    FS and ES patches are ready
     

    Attached Files:

    Loko4 and garco like this.
  13. Manurocker95

    Manurocker95 Game Developer & Pokémon Master

    Member
    7
    May 29, 2016
    Spain
    Madrid
    Oh, nice. I’m gonna make a new back up and update, then.
     
  14. Draxzelex

    Draxzelex GBAtemp Legend

    Member
    18
    Aug 6, 2017
    United States
    New York City
    eShop should still work even on firmware 7.X. Last I checked, I was able to update my physical copy of Smash and access the eShop.
     
  15. pcwizard7

    pcwizard7 GBAtemp Fan

    Member
    4
    Aug 2, 2013
    Australia
    what is needed to boot to stock mode from hekate_ctcaer?
     
  16. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    A new version of Hekate. Just use Fusse-Primary.
     
  17. gbazone

    gbazone GBAtemp Regular

    Member
    5
    Jun 6, 2014
    Did you try holding R before selecting Album?
     
    Clockdryve likes this.
  18. hippy dave

    hippy dave BBMB

    Member
    15
    Apr 30, 2012
    United Kingdom
    Another new hotfix is out, fixing a problem with some older games. New hash in the zip filename is a09c0899.

    Also new hekate is out, with full 8.0 support (so you can use its normal boot configs instead of only chainloading fusee-primary. Don't ask me how to configure it tho, I don't use it to boot cfw).
     
    axiomjunglist likes this.
  19. DuveltjeDG

    DuveltjeDG GBAtemp Regular

    Member
    3
    Apr 5, 2019
    Netherlands
    Should this hotfix have something to do with people mentioning issues with es patches? Because it sure sounds like the same error but caused by ams instead.
     
  20. hippy dave

    hippy dave BBMB

    Member
    15
    Apr 30, 2012
    United Kingdom
    Yeah probably.
     
Loading...